lp:python-congressclient

Created by Aaron Rosen and last modified
Get this branch:
bzr branch lp:python-congressclient

Related bugs

Related blueprints

Branch information

Owner:
Aaron Rosen
Project:
python-congressclient
Status:
Development

Import details

Import Status: Reviewed

This branch is an import of the HEAD branch of the Git repository at https://github.com/stackforge/python-congressclient.git.

The next import is scheduled to run .

Last successful import was .

Import started on juju-98ee42-prod-launchpad-codeimport-3 and finished taking 10 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-2 and finished taking 10 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-1 and finished taking 10 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-0 and finished taking 15 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-2 and finished taking 10 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-4 and finished taking 15 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-2 and finished taking 15 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-5 and finished taking 5 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-2 and finished taking 10 seconds — see the log
Import started on juju-98ee42-prod-launchpad-codeimport-0 and finished taking 10 seconds — see the log

Recent revisions

211. By Andreas Jaeger

Cleanup py27 support

Make a few cleanups:
- Remove python-jobs, ussuri-jobs is enough
- Remove python 2.7 stanza from setup.py
- Add requires on python >= 3.6 to setup.cfg so that pypi and pip
  know about the requirement
- Update classifiers
- Update requirements, no need for python_version anymore
- Remove html_last_updated_fmt from conf.py since it's set
  by newer openstackdocstheme, update requirement of openstackdocstheme.

Change-Id: I13f089de86ce3eb30770c91ee5372652e40fb52b

210. By yangkunlc

Change README.rst with a better title

Change-Id: Ia386e3f3d0e1481221dab79cf470a5ce4d9fc4eb

209. By caoyuan

tox: Keeping going with docs

Sphinx 1.8 introduced [1] the '--keep-going' argument which, as its name
suggests, keeps the build running when it encounters non-fatal errors.
This is exceptionally useful in avoiding a continuous edit-build loop
when undertaking large doc reworks where multiple errors may be
introduced.

[1] https://github.com/sphinx-doc/sphinx/commit/e3483e9b045

Change-Id: I1e3c52de2d0923902d75e850593de320f65612cd

208. By Zuul <email address hidden>

Merge "[ussuri][goal] Drop python 2.7 support and testing"

207. By kangyufei

Switch to Ussuri jobs

Change-Id: Ibdce83f2a56a82ae5c6186b8e61860086aa5b744

206. By Zuul <email address hidden>

Merge "Update master for stable/train"

205. By Rajat Dhasmana

Generate PDF documentation

This commit adds a new tox target to build PDF documentation.
It's a part of community goal, see storyboard for more
information.

Change-Id: I58b1fb537c3758bba5a57d3cf7ce4cf10625bd89
Story: 2006076
Task: 34817

204. By Akhil jain

Switch python3 versions of test jobs to match Train PTI

In Train, we will use python 3.6 and 3.7 for python3 runtime
in our gate jobs [1]. This commit also adds python 3.7.

[1] https://governance.openstack.org/tc/reference/runtimes/train.html

Change-Id: Iacb4a7c9bd1bb2d83dbbb8a7ddd6a7c7f106c1fa

203. By zhangboye

Cap sphinx for py2 to match global requirements

Change-Id: Ide24f46f34aea41510965acb17f1d4e024437260

202. By Zuul <email address hidden>

Merge "Changes for url transition to OpenDev"

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers